Bug 1487823 - Error messages when named daemon stops
Summary: Error messages when named daemon stops
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: bind
Version: 26
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Petr Menšík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 1422680
Blocks: 1452091
TreeView+ depends on / blocked
 
Reported: 2017-09-02 09:04 UTC by Pierre Juhen
Modified: 2018-05-29 11:57 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-05-29 11:57:09 UTC


Attachments (Terms of Use)
new nta-directory option patch (14.74 KB, patch)
2017-10-10 14:32 UTC, Petr Menšík
no flags Details | Diff

Description Pierre Juhen 2017-09-02 09:04:27 UTC
Description of problem:
The following maessages show up when named (chroot) daemon stops :

named[1332]: error writing NTA file for view '_default': permission denied
named[1332]: error writing NTA file for view '_bind': permission denied


Version-Release number of selected component (if applicable):

bind-chroot-9.11.1-2.P2.fc26.x86_64
bind-libs-9.11.1-2.P2.fc26.x86_64

How reproducible:
Everytime. Messages appeared on last version.


Actual results:
No impact on named service

Comment 1 Petr Menšík 2017-09-26 11:06:25 UTC
Yes, NTA file is by default written into /var/named directory. Every view has its own nta file. Current version does not have any way to move such files into different directory, like managed-keys-directory or new-zones-directory options. We have chosen to make /var/named read-only to named by default. Read-only directory is enforced by default unix permissions as well as selinux policy.

You can work around this bug by enabling selinux exception
$ setsebool named_write_master_zones on
$ chmod g+w /var/named

I will request new option, so we can move nta files into /var/named/data or /var/named/dynamic directories, which are writeable by default.

There is one impact, nta entries are not saved on shutdown, so you have to fill them again after (re)start.

Comment 2 Pierre Juhen 2017-09-26 18:25:27 UTC
Hi Petr,

Workaround fixes the issue.

Shall I close the bug (NOTABUG) or leave it open ?

Thanks,

Comment 3 Petr Menšík 2017-10-10 14:27:49 UTC
No, please leave it open, I will use it for nta-directory feature. setsebool is workaround in this context, not a proper fix. It should not be required for every bind instance.

Comment 4 Petr Menšík 2017-10-10 14:32 UTC
Created attachment 1336786 [details]
new nta-directory option patch

Comment 5 Petr Menšík 2017-10-10 14:37:52 UTC
New feature posted as [ISC-Bugs #46242] https://bugs.isc.org/Public/Bug/Display.html?id=46242

Comment 6 Petr Menšík 2018-03-28 14:34:12 UTC
Upstream refused suggested patch, they demand us to make home directory of named to be writeable. All other distributions already has it. Reopened bug #1422680 for that.

Comment 7 Fedora End Of Life 2018-05-03 08:14:34 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2018-05-29 11:57:09 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.